extends ../layout.pug
block content
  if connected
    p Vous êtes déjà connecté
  else
    h1.d1 Eternal Twin
    .centerFlex
      a(href="/oauth/register") 
        img(
          src="/etwin/etwin-piou-nobg.png",
          width="100px",
          alt="Eternal Twin"
        )
      h3 #[a(href="/oauth/signup") S'inscrire sur Eternal Twin]
    if env.allowUserRegistration
      h1.d2 PiouPiouZ inscription
      form#subscribeForm(method="post", action="/signup")
        .helpBox
          .helpTop
          #help.help
        #error
        #xmldata
          #txtForm
            //- p
            //-   | Si tu es mineur(e), demande l'autorisation à tes parents :
            //-   a(href="http://www.motion-twin.com/parents.html", target="popup") + d'infos
            p L'inscription à PiouPiouZ est simple et rapide, laissez moi vous guider !
          #errMaxIp
            | Le nombre maximum d'inscription pour votre IP est atteint, vous ne pouvez créer de nouveau compte.
          #txtLogin
            | Choisissez un nom de compte composé de lettres (a à z) et des chiffres (0 à 9), le nom de compte doit faire entre 4 et 12 caractéres.
          #errLoginMissing Vous devez saisir un nom de compte.
          #errLoginTooShort Le nom de compte est trop court, de 4 à 12 caractéres.
          #errLoginExists Un joueur utilise déjà ce nom de compte, vous devez en choisir un autre.
          #errLoginMalformed
            | Le nom de compte ne doit contenir que des lettre (a à z) et des chiffres (0 à 9).
          #txtPassword
            | Choisissez un mot de passe différent de votre nom de compte et relativement compliqué.
          #errPasswordMissing Vous devez choisir un mot de passe secret pour votre compte.
          #errPasswordTooSmall Le mot de passe choisi est trop court, 4 caractéres minimum.
          #errPasswordTooLong Le mot de passe choisi est trop long, 12 caractéres maximimum.
          #errPasswordTooSimple
            | Le mot de passe choisi est trop simple, choisissez un mot de passe plus compliqué.
          #txtPassConf
            | Confirmez votre mot de passe en le saisissant de nouveau, la confirmation permet de tester les fautes de frappes dans le mot passe !
          #errPassConf La confirmation de mot de passe ne correspond pas au mot de passe saisi.
          #txtCountry
            | Choisissez votre pays dans la liste, votre pays sera montré aux autres joueurs à c&ocirc;té de votre nom de compte, de vos scores, etc...
          #txtAcceptRules Lisez et acceptez le réglement du site en cliquant sur &quot;J'ai lu et ...&quot;.
          #errAcceptRules Nous ne pouvons créer votre compte si vous n'acceptez pas le réglement du site.
          #txtReferer
            | Si vous avez connu PiouPiouZ par l'intermédiaire d'un autre joueur, vous pouvez saisir son nom de compte ici et en faire votre parrain.
          #errReferer Le nom de compte de votre parrain n'existe pas, vérifiez l'orthographe.
          #txtEmail
            | Vous pouvez saisir votre email, il servira uniquement au rappel de mot de passe et au support technique, les pioupiouz gardent les emails à l'abri des méchants spammeurs.
          #errEmailMalformed L'adresse email entrée est erronée.
          #errEmailMissing Vous devez saisir une adresse email valide pour activer ce compte.
          #errEmailInUse
            | L'adresse email entrée est déjà utilisée par un joueur, vous ne pouvez avoir qu'un seul compte par personne.
          #txtSubmit Vous avez bien répondu ? Si oui en avant !
        script(type="text/javascript").
          var help = document.getElementById("help");
          var error = document.getElementById("error");
          function showHelp(id) {
            if (id != null) {
              help.innerHTML = document.getElementById(id).innerHTML;
            }
          }
          function showError(id) {
            if (id != null) {
              error.style.display = "block";
              var errorEl = document.getElementById(id);
              if (errorEl) error.innerHTML = document.getElementById(id).innerHTML;
              else error.innerHTML = id;
            }
          }
        .step
          h2 étape 1
          div
            label(for="loginF") Pseudonyme :
            input#loginF.field(
              name="username",
              type="text",
              onmouseenter="showHelp('txtLogin');",
              value=""
            )
          div
            label(for="passF") Code secret :
            input#passF.field(
              name="password",
              type="password",
              onmouseenter="showHelp('txtPassword');",
              value=""
            )
          div
            label(for="passConfirm") Confirmation :
            input#passConfirm.field(
              name="passwordConfirm",
              type="password",
              onmouseenter="showHelp('txtPassConf');",
              maxlength="12",
              value=""
            )
        .step
          h2 étape 2
          div
            label(for="country") Votre pays :
            select#country(
              name="country",
              onmouseenter="showHelp('txtCountry');"
            )
              option(value="ad") Andorra
              option(value="ae") United Arab Emirates
              option(value="af") Afghanistan
              option(value="ag") Antigua and Barbuda
              option(value="ai") Anguilla
              option(value="al") Albania
              option(value="am") Armenia
              option(value="an") Netherland Antilles
              option(value="ao") Angola
              option(value="aq") Antarctica
              option(value="ar") Argentina
              option(value="as") American Samoa
              option(value="at") Austria
              option(value="au") Australia
              option(value="aw") Aruba
              option(value="az") Azerbaidjan
              option(value="ba") Bosnia-Herzegovina
              option(value="bb") Barbados
              option(value="bd") Banglades
              option(value="be") Belgium
              option(value="bf") Burkina Faso
              option(value="bg") Bulgaria
              option(value="bh") Bahrain
              option(value="bi") Burundi
              option(value="bj") Benin
              option(value="bm") Bermuda
              option(value="bn") Brunei Darussalam
              option(value="bo") Bolivia
              option(value="br") Brazil
              option(value="bs") Bahamas
              option(value="bt") Buthan
              option(value="bv") Bouvet Island
              option(value="bw") Botswana
              option(value="by") Belarus
              option(value="bz") Belize
              option(value="ca") Canada
              option(value="cc") Cocos (Keeling) Islands
              option(value="cf") Central African Republic
              option(value="cg") Congo
              option(value="ch") Switzerland
              option(value="ci") Ivory Coast
              option(value="ck") Cook Islands
              option(value="cl") Chile
              option(value="cm") Cameroon
              option(value="cn") China
              option(value="co") Colombia
              option(value="cr") Costa Rica
              option(value="cs") Czechoslovakia
              option(value="cu") Cuba
              option(value="cv") Cape Verde
              option(value="cx") Christmas Island
              option(value="cy") Cyprus
              option(value="cz") Czech Republic
              option(value="de") Germany
              option(value="dj") Djibouti
              option(value="dk") Denmark
              option(value="dm") Dominica
              option(value="do") Dominican Republic
              option(value="dz") Algeria
              option(value="ec") Ecuador
              option(value="ee") Estonia
              option(value="eg") Egypt
              option(value="eh") Western Sahara
              option(value="es") Spain
              option(value="et") Ethiopia
              option(value="fi") Finland
              option(value="fj") Fiji
              option(value="fk") Falkland Islands (Malvinas)
              option(value="fm") Micronesia
              option(value="fo") Faroe Islands
              option(selected="selected", value="fr") France
              option(value="fx") France (European Territory)
              option(value="ga") Gabon
              option(value="gb") Great Britain (UK)
              option(value="gd") Grenada
              option(value="ge") Georgia
              option(value="gh") Ghana
              option(value="gi") Gibraltar
              option(value="gl") Greenland
              option(value="gp") Guadeloupe (French)
              option(value="gq") Equatorial Guinea
              option(value="gf") Guyana (French)
              option(value="gm") Gambia
              option(value="gn") Guinea
              option(value="gr") Greece
              option(value="gt") Guatemala
              option(value="gu") Guam (US)
              option(value="gw") Guinea Bissau
              option(value="gy") Guyana
              option(value="hk") Hong Kong
              option(value="hm") Heard and McDonald Islands
              option(value="hn") Honduras
              option(value="hr") Croatia
              option(value="ht") Haiti
              option(value="hu") Hungary
              option(value="id") Indonesia
              option(value="ie") Ireland
              option(value="il") Israel
              option(value="in") India
              option(value="io") British Indian Ocean Territory
              option(value="iq") Iraq
              option(value="ir") Iran
              option(value="is") Iceland
              option(value="it") Italy
              option(value="jm") Jamaica
              option(value="jo") Jordan
              option(value="jp") Japan
              option(value="ke") Kenya
              option(value="kg") Kirgistan
              option(value="kh") Cambodia
              option(value="ki") Kiribati
              option(value="km") Comoros
              option(value="kn") Saint Kitts Nevis Anguilla
              option(value="kp") North Korea
              option(value="kr") South Korea
              option(value="kw") Kuwait
              option(value="ky") Cayman Islands
              option(value="kz") Kazachstan
              option(value="la") Laos
              option(value="lb") Lebanon
              option(value="lc") Saint Lucia
              option(value="li") Liechtenstein
              option(value="lk") Sri Lanka
              option(value="lr") Liberia
              option(value="ls") Lesotho
              option(value="lt") Lithuania
              option(value="lu") Luxembourg
              option(value="lv") Latvia
              option(value="ly") Libya
              option(value="ma") Morocco
              option(value="mc") Monaco
              option(value="md") Moldavia
              option(value="mg") Madagascar
              option(value="mh") Marshall Islands
              option(value="ml") Mali
              option(value="mm") Myanmar
              option(value="mn") Mongolia
              option(value="mo") Macau
              option(value="mp") Northern Mariana Islands
              option(value="mq") Martinique (French)
              option(value="mr") Mauritania
              option(value="ms") Montserrat
              option(value="mt") Malta
              option(value="mu") Mauritius
              option(value="mv") Maldives
              option(value="mw") Malawi
              option(value="mx") Mexico
              option(value="my") Malaysia
              option(value="mz") Mozambique
              option(value="na") Namibia
              option(value="nc") New Caledonia (French)
              option(value="ne") Niger
              option(value="nf") Norfolk Island
              option(value="ng") Nigeria
              option(value="ni") Nicaragua
              option(value="nl") Netherlands
              option(value="no") Norway
              option(value="np") Nepal
              option(value="nr") Nauru
              option(value="nt") Neutral Zone
              option(value="nu") Niue
              option(value="nz") New Zealand
              option(value="om") Oman
              option(value="pa") Panama
              option(value="pe") Peru
              option(value="pf") Polynesia (French)
              option(value="pg") Papua New
              option(value="ph") Philippines
              option(value="pk") Pakistan
              option(value="pl") Poland
              option(value="pm") Saint Pierre and Miquelon
              option(value="pn") Pitcairn
              option(value="pt") Portugal
              option(value="pr") Puerto Rico (US)
              option(value="pw") Palau
              option(value="py") Paraguay
              option(value="qa") Qatar
              option(value="re") Reunion (French)
              option(value="ro") Romania
              option(value="ru") Russian Federation
              option(value="rw") Rwanda
              option(value="sa") Saudi Arabia
              option(value="sb") Solomon Islands
              option(value="sc") Seychelles
              option(value="sd") Sudan
              option(value="se") Sweden
              option(value="sg") Singapore
              option(value="sh") Saint Helena
              option(value="si") Slovenia
              option(value="sj") Svalbard and Jan Mayen Islands
              option(value="sk") Slovak Republic
              option(value="sl") Sierra Leone
              option(value="sm") San Marino
              option(value="sn") Senegal
              option(value="so") Somalia
              option(value="sr") Suriname
              option(value="st") Saint Tome and Principe
              option(value="su") Soviet Union
              option(value="sv") El Salvador
              option(value="sy") Syria
              option(value="sz") Swaziland
              option(value="tc") Turks and Caicos Islands
              option(value="td") Chad
              option(value="tf") French Southern Territory
              option(value="tg") Togo
              option(value="th") Thailand
              option(value="tj") Tadjikistan
              option(value="tk") Tokelau
              option(value="tm") Turkmenistan
              option(value="tn") Tunisia
              option(value="to") Tonga
              option(value="tp") East Timor
              option(value="tr") Turkey
              option(value="tt") Trinidad and Tobago
              option(value="tv") Tuvalu
              option(value="tw") Taiwan
              option(value="tz") Tanzania
              option(value="ua") Ukraine
              option(value="ug") Uganda
              option(value="uk") United Kingdom
              option(value="um") US Minor Outlying Islands
              option(value="us") United States
              option(value="uy") Uruguay
              option(value="uz") Uzbekistan
              option(value="va") Vatican City State
              option(value="vc") Saint Vincent and Grenadines
              option(value="ve") Venezuela
              option(value="vg") Virgin Islands (British)
              option(value="vi") Virgin Islands (US)
              option(value="vn") Vietnam
              option(value="vu") Vanuatu
              option(value="wf") Wallis and Futuna Islands
              option(value="ws") Samoa
              option(value="ye") Yemen
              option(value="yu") Yugoslavia
              option(value="za") South Africa
              option(value="zm") Zambia
              option(value="zr") Zaire
              option(value="zw") Zimbabwe
          //- div
          //-   br
          //-   label
          //-     input#acceptConditions.checkbox(
          //-       name="acceptConditions",
          //-       type="checkbox",
          //-       onmouseenter="showHelp('txtAcceptRules');",
          //-       value="1"
          //-     )
          //-     | J'ai lu et j'accepte le #[a(href="http://www.motion-twin.com/cgu.php?s=piou", target="popup", onmouseenter="showHelp('txtAcceptRules');") réglement du site].
        .step
          h2 optionnel
          //- div
          //-   label(for="referer") Pseudo du parrain :
          //-   input#referer.field(
          //-     name="referer",
          //-     type="text",
          //-     onmouseenter="showHelp('txtReferer');",
          //-     value="",
          //-     disabled
          //-   )
          //- div
          //-   label(for="email") Votre email :
          //-   input#email.field(
          //-     name="email",
          //-     type="text",
          //-     onmouseenter="showHelp('txtEmail');",
          //-     value=""
          //-   )
        .clear.center
          br
          input.submit(
            name="submit",
            type="submit",
            onmouseenter="showHelp('txtSubmit');",
            value="Commencer l'aventure"
          )
      script(type="text/javascript").
        showHelp("txtForm");
        if (#{fail ? "true" : "false"}) {
          showError("#{fail}");
        }
      .center
        img(alt="devenez un PiouZ", src="/gfx/icons/piou_piou_piou.jpg")
